Issues with Processmaker 3.0.1.8 Install

Ask questions about your install or get help installing and configuring ProcessMaker 2

Moderator: amosbatto

kongmeng
Posts: 2
Joined: Thu Jun 09, 2016 12:53 pm
Country: United States of America

Issues with Processmaker 3.0.1.8 Install

Unread postby kongmeng » Thu Jun 16, 2016 3:49 pm

When I click the Reassign on the Home page it gives me the following errors.

Code: Select all

RuntimeException:

 [wrapped: It is not possible to execute the query. Please contact your system administrator]

    At BasePeer::doSelect()
    in /opt/processmaker/workflow/engine/classes/model/om/BaseAppCacheViewPeer.php line 423
    At BaseAppCacheViewPeer::doSelectRS()
    in /opt/processmaker/workflow/engine/methods/cases/casesListExtJs.php line 485
    At getAllUsersArray() in /opt/processmaker/workflow/engine/methods/cases/casesListExtJs.php line 237
    At require_once() in /opt/processmaker/workflow/public_html/sysGeneric.php line 2027
    At include() in /opt/processmaker/workflow/public_html/app.php line 61



When I click the Participated on the Home page I get the following error and after I click ok it logs me out.

Code: Select all

[wrapped: It is not possible to execute the query. Please contact your system administrator]


I am not sure what is causing the issue.

I am running the following:

CentOS 7
Mysql 5.7
PHP 5.6
Apache 2.4

It should be straightforward but the two items listed above is blocking the deployment of this software. I can't see to figure out what the issue maybe since everything else seems to be working just fine. Thank you.

kongmeng
Posts: 2
Joined: Thu Jun 09, 2016 12:53 pm
Country: United States of America

Re: Issues with Processmaker 3.0.1.8 Install

Unread postby kongmeng » Thu Jun 16, 2016 4:31 pm

Hi,

You can close this issue. I just kept installing and uninstalling. Some how it works now. No idea why. Note no errors where present in the install file, httpd file, and mysql file.

amosbatto
Posts: 5018
Joined: Mon Jun 22, 2009 10:28 am
Country: Bolivia
Location: La Paz

Re: Issues with Processmaker 3.0.1.8 Install

Unread postby amosbatto » Thu Jun 16, 2016 5:41 pm

Your errors are caused by database queries. PM 3.0.1.8 has only been tested with MySQL 5.5. See: http://wiki.processmaker.com/3.0/Supported_Stacks

If you see other errors, you might want to install MySQL 5.5.
Amos B. Batto ♦ ProcessMaker Technical Documentation Writer & Forum Manager ♦ Cofounder of ILLA-A

cdonis
Posts: 2
Joined: Wed Apr 05, 2017 2:58 am
Country: Mozambique

Re: Issues with Processmaker 3.0.1.8 Install

Unread postby cdonis » Wed Apr 05, 2017 3:20 am

Same happened. Solution that work for me: change the mysql mode

Edit in /etc/mysql/my.cnf
Under [mysqld], add or modify slq_mode
sql_mode = ""

Hope this be usefull,


Return to “Installation & Configuration”

Who is online

Users browsing this forum: Baidu [Spider] and 2 guests